<template>
  <div class="custom_input">
    <div class="custom_input__icon" :style="{right: rightIcon && `15px`, left: leftIcon && `15px`}" v-if="leftIcon || rightIcon"><img :src="rightIcon || leftIcon" alt="icon"></div>
    <b-form-input
      class="input_blue"
      :placeholder="placeholder"
      :style="{ borderRadius: `${borderRadius}px`, paddingLeft: leftIcon && '40px' }"
      @input="$emit('input', $event)"
      
    >
    </b-form-input>
  </div>
</template>

<script>
export default {
  props: {
    borderRadius: {
      type: Number,
      default: 4,
    },
    placeholder: {
      type: String,
      default: "Search",
    },
    leftIcon: String,
    rightIcon: String,
  },
};
</script>

<style scoped lang="scss">
.custom_input {
    position: relative;
    font-size: 14px;
    line-height: 16px;
    &__icon {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    &::placeholder {
      color: #CDCCCC;
    }
}
</style>
